#include"../quadrature.h"
// ----------------------------------
// example:
//
// cauchy main value
// integrand with wild oscillations
// 
// lambda from 1.25 to 2.5
//
// ----------------------------------       

int main() {

 real lambda = 1.25, eps = 1e-10;
 operand r,x;
 integrand f; 

 r = exp(sqr(x));
 f = r * sin(r);

 while (lambda < 2.5){
   cauchy_integral example(f, lambda);
   try{
     example.integrate(1,2.5,eps); 
     cout << " lambda " << lambda << endl;
     // cout << Scientific << SetPrecision(22,13) << example << endl;
     cout << example << endl;
     lambda += 0.25;
     //  b.print_division();
    }
    catch(integrand::error e){
 	  cout << " formelgen. " << e.i << endl;
    }
  }
 return 0;
}
