#include"../cubature.h"
// -------------------------------------------------------------------------
// example 5:
// cauchyxcauchy integral (using cauchyxcauchy formula)
//
// f(x,y) = sin(exp(sqr(y))) * exp(sqr(y)) * sin(exp(sqr(x))) * exp(sqr(x))
//
// integrand: f(x,y) / (xy)
//
// -------------------------------------------------------------------------   

int main() {

 try{

  operand r( exp(sqr(y))), q (exp(sqr(x))) ;
  integrand f;

  f = sin(r) * r * sin(q) * q;
  for (real eps = 1e-2; eps > 1e-10; eps *= 1e-2){
   cauchy_integral example(f, 1.25, 1.5);
   example.integrate(1, 2 , 1 , 2, eps);
   cout << SetPrecision(10,2) << Scientific
        << " required max. diam. of remainder:  " << eps << endl
        << SetPrecision(20,16) << example << endl << endl;       
  }
 }
 catch(integrand::error e){
	  cout << " formelgen. " << e.i << endl;
 }

 return 0;
}
