#include"../cubature.h"
// ------------------------------------------------------
// example 3:
// cauchyxriemann integral (using cauchyxriemann formula)
//
// f(x,y) = (y+0.25)* (x+2) * sinh(sqr(x)+sqr(y))
//
// integrand: f(x,y) /x
//
// ------------------------------------------------------       

int main() {

try{
       integrand f;
       f = (y+0.25)* (x+2) * sinh(sqr(x)+sqr(y));
       interval pi = 4 * atan(interval(1));
     
       for (real eps = 1e-2; eps > 1e-13; eps *= 1e-2){ 
       cauchyxriemann_integral example(f, 0);
       example.integrate(-0.5*pi, 0.5 * pi , -0.5*pi ,0.5*pi, eps);
       cout << SetPrecision(10,2) << Scientific 
            << " required max. diam. of remainder  " << eps << endl   
            << SetPrecision(20,16) << example << endl;
       //    a.print_division();
       }

 }
 catch(integrand::error e){
	  cout << " formelgen. " << e.i << endl;
 }

 return 0;
}
