#include"../quadrature.h"
// --------------------------------------
// example:
// hadamard integral, function with peak
//
// f(x) = 1 / [(x - 0.75)^2 + 0.01^2]
//
// lambda = 0.25
// 
// --------------------------------------    



int main() {

  integrand f;
  f = 10000 / (sqr(100*x - 75) + 1); 
  real a = 0,b = 1;
  for(real eps = 1e-2;eps >1e-13; eps *= 0.01){ 
     hadamard_integral example(f,0.25);
     example.integrate(a,b,eps); 
     cout << SetPrecision(10,5) << endl  << eps << endl;
     cout << Scientific << SetPrecision(22,16) << example << endl; 
  }
  return 0;
}
