#include"../cubature.h"
// -----------------------------------------------
// example 1:
// riemann integral (using cauchyxriemann formula)
//
// f(x,y) = ln(x+1) * cos(100xy) / x
//
// -----------------------------------------------     

int main() {

 try{
 
  real eps = 1e-10;
  integrand f;

  f = ln(x + 1) * cos(100 * x * y);   
  cauchyxriemann_integral example(f,0);
  example.integrate(-0.5, 1 , 0 , 1, eps);
  cout << SetPrecision(10,2) << Scientific  
       << SetPrecision(20,16) << example << endl; 
  //     a.print_division();
 }
 catch(integrand::error e){
	  cout << " formelgen. " << e.i << endl;
 }

 return 0;
}
