//============================================================================
//
//                              Program/Module
//                                   from
//                C++ package for verified numerical integration
//                  of singular and strong singular functions
//                      Copyright (c) 2000 Stefan Wedner
//
//         This program/module is free software for non-commercial use.
//
//
//============================================================================
//----------------------------------------------------------------------------
//
// File:     peano.tpl
// See also: peano.h, peano.C
//     
// ---------------------------------------------------------------------------
// Input data: nodes and weight (see calc_nodes.C)
//             the cases 2 and 3 need the datas in long format (*.long) 
//             the datas are available in the directory data
// ---------------------------------------------------------------------------
   

#include"peano.h"
#include"peano.tpl"

int main(int argc, char* argv[]){
  string name_in, name_out;
  int n, m_min, m_max, menu;
  
  cout << "       Calculation integrationconstants: " << endl;
  cout << " --------------------------------------------- " << endl;
  cout << "  1: Gauss-Legendre           " << endl;
  cout << "  2: Cauchy                   " << endl;
  cout << "  3: Gauss weight = sqrt(t)   " << endl;
  cout << " ---------------------------------------------- " << endl << endl;
  cout << " Input number (1-3): "; cin >> menu;

  cout <<" Input filename for output: " ; cin >> name_out;
  ofstream output_file(name_out.data());
  cout <<" Input filename for input:  "  ; cin >> name_in;
  switch (menu){
  case 1:{
             peano test1(name_in);
             n = test1.numbernodes();
             cout << " number of nodes "; cout << n << endl;
             output_file << n << endl;
             cout << " Input bounds "; cin >> m_min >> m_max;
             output_file << m_min << endl << m_max;
             cout << " Calculation of the peanoconstants from ";
             cout << m_min << " to " << m_max << endl;
             for(int i = m_min; i<= m_max; i++){ 
              test1.calculate(i);  
              cout << Decimal << " i = " << i << endl << test1 << endl;
              // cout << Hexa << test1 << endl;
              output_file << Hexa << test1;
	     }
             break;
         }

  case 2:{

             peano_cauchy<l_interval> test2(name_in, 2);
             n = test2.numbernodes();
             cout << " number of nodes "; cout << n << endl;
             cout << " input precision: "; cin >> stagprec; 
             output_file << n << endl;
             cout << " Input bounds "; cin >> m_min >> m_max;
             output_file << m_min << endl << m_max;
             cout << " Calculation of the peanoconstants from ";
             cout << m_min << " to " << m_max << endl;
             for(int i = m_min; i<= m_max; i++){ 
              test2.calculate(i);  
              cout << Decimal << " i = " << i << endl << test2 << endl;
              // cout << Hexa << test2 << endl;
              output_file << Hexa << test2;
	     }
             break;     
         }  

  case 3:{
             
             peano_weight<l_interval> test3(name_in, 2, 1e-6);
             n = test3.numbernodes();
             cout << " number of nodes "; cout << n << endl;
             cout << " input precision: "; cin >> stagprec; 
             output_file << n << endl;
             cout << " Input bounds "; cin >> m_min >> m_max;
             output_file << m_min << endl << m_max;
             cout << " Calculation of the peanoconstants from ";
             cout << m_min << " to " << m_max << endl;
             for(int i = m_min; i<= m_max; i++){ 
              test3.calculate(i);  
              cout << Decimal <<  " i = " << i << endl << test3 << endl;
              // cout << Hexa << test3 << endl;
              output_file << Hexa << test3;
	     }
             // cout << test3.high() << endl;
             break;
          }  
  default:{    break;
          }
  }

 return 0;
}   
